%define	upstream_name	 DBD-Pg
%define upstream_version 3.18.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    PostgreSQL database driver for the DBI module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/DBD/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.614.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.580.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(version)
BuildRequires: chrpath
BuildRequires: perl-devel
BuildRequires: postgresql-devel
BuildRequires: postgresql-server
%{?perl_default_filter}

%description
PostgreSQL database driver for the DBI module

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
export POSTGRES_INCLUDE=/usr/include
export POSTGRES_LIB=%{_libdir}
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build OPTIMIZE="%{optflags}"

%install
%make_install
chmod 755 %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so
chrpath -d %{buildroot}%{perl_vendorarch}/auto/DBD/Pg/Pg.so

%check
# Full test coverage requires a live PostgreSQL database (see the README file)
#export DBI_DSN=dbi:Pg:dbname=<database>
#export DBI_USER=<username>
#export DBI_PASS=<password>
# If variables undefined, package test will create it's own database.
make test

%files
%doc Changes LICENSES META.json META.yml MYMETA.yml README SIGNATURE TODO
%{perl_vendorarch}/auto/DBD
%{perl_vendorarch}/DBD
%{perl_vendorarch}/Bundle
%{_mandir}/*/*

%changelog
* Thu Dec 07 2023 tv <tv> 3.18.0-1.mga10
+ Revision: 2014529
- update to 3.18.0

* Thu Nov 30 2023 tv <tv> 3.17.0-2.mga10
+ Revision: 2011613
- Rebuild for perl-5.38

* Tue Aug 29 2023 tv <tv> 3.17.0-1.mga10
+ Revision: 1980942
- update to 3.17.0

* Sat Aug 13 2022 tv <tv> 3.16.0-1.mga9
+ Revision: 1877362
- update to 3.16.0

* Tue Jun 07 2022 umeabot <umeabot> 3.15.1-3.mga9
+ Revision: 1863428
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 3.15.1-2.mga9
+ Revision: 1796897
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 3.15.1-1.mga9
+ Revision: 1777608
- update to 3.15.1

* Tue May 25 2021 tv <tv> 3.15.0-1.mga9
+ Revision: 1728032
- update to 3.15.0

* Mon May 24 2021 umeabot <umeabot> 3.14.2-2.mga9
+ Revision: 1727886
- Rebuild for perl 5.34

* Fri Aug 14 2020 tv <tv> 3.14.2-1.mga8
+ Revision: 1613989
- update to 3.14.2

* Mon Jul 20 2020 tv <tv> 3.14.0-1.mga8
+ Revision: 1607346
- update to 3.14.0

* Fri Jun 19 2020 tv <tv> 3.13.0-1.mga8
+ Revision: 1596603
- update to 3.13.0

* Thu Jun 18 2020 umeabot <umeabot> 3.12.3-2.mga8
+ Revision: 1595639
- Rebuild for perl 5.32

* Tue Jun 09 2020 tv <tv> 3.12.3-1.mga8
+ Revision: 1591354
- update to 3.12.3

* Thu Jun 04 2020 cheeseeboi <cheeseeboi> 3.12.1-1.mga8
+ Revision: 1590337
- Updated to 3.12.1

* Fri May 08 2020 tv <tv> 3.12.0-1.mga8
+ Revision: 1581618
- update to 3.12.0

* Wed Apr 29 2020 tv <tv> 3.11.1-1.mga8
+ Revision: 1573085
- update to 3.11.1

* Fri Apr 24 2020 tv <tv> 3.11.0-1.mga8
+ Revision: 1571614
- update to 3.11.0

* Tue Mar 24 2020 tv <tv> 3.10.5-1.mga8
+ Revision: 1559211
- update to 3.10.5

* Wed Feb 19 2020 umeabot <umeabot> 3.10.4-2.mga8
+ Revision: 1543518
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 tv <tv> 3.10.4-1.mga8
+ Revision: 1489516
- update to 3.10.4

* Tue Jan 21 2020 tv <tv> 3.10.3-1.mga8
+ Revision: 1481849
- update to 3.10.3

* Sat Jan 18 2020 tv <tv> 3.10.2-1.mga8
+ Revision: 1481387
- update to 3.10.2

* Wed Jan 15 2020 tv <tv> 3.10.1-1.mga8
+ Revision: 1478024
- update to 3.10.1

* Wed Sep 04 2019 tv <tv> 3.10.0-1.mga8
+ Revision: 1437300
- update to 3.10.0

* Mon Aug 26 2019 tv <tv> 3.9.1-2.mga8
+ Revision: 1432889
- rebuild with perl-5.30

* Sun Aug 25 2019 tv <tv> 3.9.1-1.mga8
+ Revision: 1431978
- update to 3.9.1

* Mon Jul 15 2019 tv <tv> 3.8.1-1.mga8
+ Revision: 1421447
- update to 3.8.1

* Sat Jun 29 2019 tv <tv> 3.8.0-1.mga8
+ Revision: 1415955
- update to 3.8.0

* Fri Sep 21 2018 umeabot <umeabot> 3.7.4-3.mga7
+ Revision: 1292672
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 3.7.4-2.mga7
+ Revision: 1249783
- Rebuild for perl 5.28

* Thu Feb 15 2018 tv <tv> 3.7.4-1.mga7
+ Revision: 1201421
- update to 3.7.4

* Mon Oct 02 2017 tv <tv> 3.7.0-2.mga7
+ Revision: 1163894
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 3.7.0-1.mga7
+ Revision: 1159620
- update to 3.7.0

* Sat Sep 23 2017 sander85 <sander85> 3.6.2-1.mga7
+ Revision: 1158205
- update to 3.6.2

* Thu Aug 31 2017 pterjan <pterjan> 3.5.3-6.mga7
+ Revision: 1149610
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 3.5.3-5.mga7
+ Revision: 1126955
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 3.5.3-4.mga6
+ Revision: 1025382
- Rebuild for perl 5.22.2

* Sun Feb 28 2016 oden <oden> 3.5.3-3.mga6
+ Revision: 980342
- rebuilt for postgresql 9.5.x

* Fri Feb 12 2016 umeabot <umeabot> 3.5.3-2.mga6
+ Revision: 957097
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 3.5.3-1.mga6
+ Revision: 891312
- update to 3.5.3

* Fri Jun 26 2015 tv <tv> 3.5.1-2.mga6
+ Revision: 844818
- rebuild for soname-ifed perl

* Wed Jun 24 2015 guillomovitch <guillomovitch> 3.5.1-1.mga6
+ Revision: 841866
- new version 3.5.1

* Tue Nov 25 2014 cjw <cjw> 3.4.1-5.mga5
+ Revision: 798934
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-4.mga5
+ Revision: 744967
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 3.4.1-3.mga5
+ Revision: 735542
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 3.4.1-2.mga5
+ Revision: 684089
- Mageia 5 Mass Rebuild

* Thu Aug 21 2014 sander85 <sander85> 3.4.1-1.mga5
+ Revision: 666173
- update to 3.4.1

* Sun Aug 17 2014 sander85 <sander85> 3.4.0-1.mga5
+ Revision: 664599
- update to 3.4.0

* Wed Jun 04 2014 sander85 <sander85> 3.3.0-1.mga5
+ Revision: 632911
- update to 3.3.0

* Tue Jun 03 2014 jquelin <jquelin> 3.2.0-2.mga5
+ Revision: 632202
- perl 5.20.0 rebuild

* Tue May 20 2014 sander85 <sander85> 3.2.0-1.mga5
+ Revision: 624493
- update to 3.2.0

* Mon Feb 10 2014 jquelin <jquelin> 3.0.0-1.mga5
+ Revision: 588257
- update to 3.0.0

* Sat Oct 19 2013 umeabot <umeabot> 2.19.3-5.mga4
+ Revision: 525095
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.19.3-4.mga4
+ Revision: 432270
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 2.19.3-3.mga4
+ Revision: 432093
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.19.3-2.mga3
+ Revision: 365015
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.19.3-1.mga3
+ Revision: 295374
- update to 2.19.3

* Thu Jul 05 2012 jquelin <jquelin> 2.19.2-1.mga3
+ Revision: 268092
- update to 2.19.2

* Wed May 30 2012 jquelin <jquelin> 2.18.1-3.mga3
+ Revision: 250491
- rebuild for perl 5.16

* Fri Mar 16 2012 guillomovitch <guillomovitch> 2.18.1-2.mga2
+ Revision: 223619
- fix format error using debian patch, instead of hiding the problem under the
  carpet by redefining cflags

* Wed Jun 15 2011 jquelin <jquelin> 2.18.1-1.mga2
+ Revision: 106480
- update to 2.18.1

* Sat Jun 11 2011 sander85 <sander85> 2.18.0-2.mga2
+ Revision: 104132
- perl 5.14

* Sun Apr 03 2011 jquelin <jquelin> 2.18.0-1.mga1
+ Revision: 80049
- update to 2.18.0

* Sat Jan 22 2011 jquelin <jquelin> 2.17.2-2.mga1
+ Revision: 32732
- rebuild

* Fri Jan 21 2011 jquelin <jquelin> 2.17.2-1.mga1
+ Revision: 30033
- mageia rebuild
- imported package perl-DBD-Pg

